jquery vulnerabilities

jQuery is a new kind of JavaScript Library. jQuery is a fast and concise JavaScript Library that simplifies HTML document traversing, event handling, animating, and Ajax interactions for rapid web development. jQuery is designed to change the way that you write JavaScript. NOTE: This package is maintained on behalf of the library owners by the NuGet Community Packages project at http://nugetpackages.codeplex.com/

Latest version: 3.6.0

Licenses detected

  • license: MIT [0,)
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the jquery package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Cross-site Scripting (XSS)
[1.0.3 ,3.5.0) Not available 13 Apr, 2020
  • M
Prototype Pollution
[,3.4.0) Not available 27 Mar, 2019
  • L
Denial of Service (DoS)
[2.1.0-beta1,3.0.0) Not available 26 Dec, 2016
  • M
Cross-site Scripting (XSS)
[1.4.0, 1.12.0),(1.12.3, 3.0.0-beta1) Not available 27 Nov, 2016
  • M
Cross-site Scripting (XSS)
[,1.12.2),[1.12.3 ,2.2.2),[2.2.3,3.0.0) Not available 27 Nov, 2016
  • M
Cross-site Scripting (XSS)
[1.7.1,1.9.0) Not available 20 Oct, 2016
  • M
Cross-site Scripting (XSS)
[,1.6.3) Not available 20 Oct, 2016
  • M
Cross-site Scripting (XSS)
[1.4.2,1.6.2) Not available 20 Oct, 2016